Bug 71240 - Include kver utility
Summary: Include kver utility
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel-utils (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-10 20:02 UTC by Peter Bowen
Modified: 2015-01-04 22:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 23:23:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kver source from beoboot (5.27 KB, text/plain)
2002-08-10 20:03 UTC, Peter Bowen
no flags Details

Description Peter Bowen 2002-08-10 20:02:21 UTC
Erik Henriks wrote a nice little utility that he included with BProc and Beoboot
which allows you to easily get the kernel version that a module was built
against.  It would seem to be a natural addition to the kernel-utils package.

To compile:
gcc -O2 -g -o kver kver.c -Wl,-Bstatic -lbfd -liberty -Wl,-Bdynamic

Comment 1 Peter Bowen 2002-08-10 20:03:21 UTC
Created attachment 69884 [details]
kver source from beoboot

Comment 2 Dave Jones 2004-10-29 23:23:59 UTC
'modinfo' does this.


Note You need to log in before you can comment on or make changes to this bug.